package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：EnvControlTaskType
 * @Date：2025/03/25 17:12
 * @Filename：EnvControlTaskType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum EnvControlTaskType {
    VM,
    NORMAL;

    public static EnvControlTaskType parse(String type) {
        try {
            return EnvControlTaskType.valueOf(type);
        } catch (Exception ignore) {
            return null;
        }
    }
}
