package cd.casic.ci.common.pipeline.functions;

import java.util.function.Function;

/**
 * @author by mianbin
 * @Classname IFunctionInfo
 * @Description TODO
 * @Date 2025/3/31 11:12
 */
public interface IFunctionInfo {
    // Obtain the function name
    String getName();

    // Obtain the minimum number of parameters
    int getMinParameters();

    // Obtain the maximum number of parameters
    int getMaxParameters();

    // Create a Function node
    Function createNode();
}
