package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：MatrixPipelineInfo
 * @Date：2025/03/25 16:06
 * @Filename：MatrixPipelineInfo
 * @description：Todo
 */
@Data
public class MatrixPipelineInfo {
    @Schema(title = "作为输入值时:额外的参数组合(String)/作为输出值时:校验结果", required = false)
    private String include;
    @Schema(title = "作为输入值时:排除的参数组合(String)/作为输出值时:校验结果", required = false)
    private String exclude;
    @Schema(title = "作为输入值时:分裂策略(String)/作为输出值时:校验结果", required = false)
    private String strategy;

//    public Map<String, Object> toMatrixConvert() {
//        return Map.of(
//                "include", !this.include.isNullOrBlank() ? parseYaml(this.include) : null,
//                "exclude", !this.exclude.isNullOrBlank() ? parseYaml(this.exclude) : null,
//                "strategy", !this.strategy.isNullOrBlank() ? parseYaml(this.strategy) : null
//        );
//    }
//
//    private Object parseYaml(String input) {
//        Pattern pattern = Pattern.compile("^(\\\$\\{\\{[ ]*fromJSON\\()([^(^)]+)(\\)[ ]*\\}\\})$");
//        if (pattern.matcher(input).find()) {
//            return null;
//        }
//        return YamlUtil.to(input);
//    }
}