package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname VMCreate
 * @Description TODO
 * @Date 2025/4/8 16:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "VM-创建-基本信息")
public class VMCreate {
    @Schema(title = "VM ID", required = true)
    private Long id;
    @Schema(title = "VM 对应母机ID", required = true)
    private Integer machineId;
    @Schema(title = "VM 类型ID", required = true)
    private Integer typeId;
    @Schema(title = "VM IP地址", required = true)
    private String ip;
    @Schema(title = "VM 名称", required = true)
    private String name;
    @Schema(title = "VM 系统信息", required = true)
    private String os;
    @Schema(title = "VM 系统版本", required = true)
    private String osVersion;
    @Schema(title = "VM CPU信息", required = true)
    private String cpu;
    @Schema(title = "VM 内存信息", required = true)
    private String memory;
    @Schema(title = "VM 是否在维护状态", required = true)
    private Boolean inMaintain;
    @Schema(title = "VM 管理员用户名", required = true)
    private String vmManagerUsername;
    @Schema(title = "VM 管理员密码", required = true)
    private String vmManagerPassword;
    @Schema(title = "VM 非管理员用户名", required = true)
    private String vmUsername;
    @Schema(title = "VM 非管理员密码", required = true)
    private String vmPassword;
}
