package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(title = "项目配置(分页)")
public class ProjectConfigPage {
    @Schema(title = "projectConfig总数", required = true)
    private final Integer total;
    
    @Schema(title = "projectConfig详情", required = true)
    private final List<ProjectConfig> data;
}