package cd.casic.ci.process.api.process.pojo.classify;

import cd.casic.ci.process.api.process.pojo.classify.enums.Condition;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewFilterByName
 * @Date：2025/03/24 20:02
 * @Filename：PipelineViewFilterByName
 * @description：Todo
 */
@Data
@Schema(title = "流水线视图-通过名字过滤", description = PipelineViewFilterByName.CLASS_TYPE)
public class PipelineViewFilterByName extends PipelineViewFilter {
    public static final String CLASS_TYPE = "filterByName";
    @Schema(title = "条件", required = false)
    private Condition condition;
    @Schema(title = "流水线名字", required = false)
    private String pipelineName;
}
