package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.mapstruct.ap.shaded.freemarker.template.TemplateModel;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateListModel
 * @Date：2025/03/24 19:09
 * @Filename：TemplateListModel
 * @description：Todo
 */
@Data
public class TemplateListModel {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "是否有操作权限", required = false)
    private Boolean hasPermission;
    @Schema(title = "模型", required = false)
    private List<TemplateModel> models;
    @Schema(title = "数量", required = false)
    private Integer count;
    @Schema(title = "是否有创建模板权限", required = false)
    private Boolean hasCreatePermission;
    @Schema(title = "是否开启模板权限", required = false)
    private Boolean enableTemplatePermissionManage;
}


