package cd.casic.ci.process.engine.scheduler.service;

import cd.casic.ci.process.engine.scheduler.dateObject.PipelineSchedulingProperties;
import jakarta.validation.Valid;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineSchedulingPropertiesService
 * @Date: 2025/5/26 16:48
 * @Description:
 */
public interface PipelineSchedulingPropertiesService {
    List<PipelineSchedulingProperties> getAllTasks();

    void addTask(@Valid PipelineSchedulingProperties task);

    void updateTask(@Valid PipelineSchedulingProperties task);

    void deleteTask(String id);

    void startTask(String id);

    void stopTask(String id);
}
