package cd.casic.ci.log.scm.enums;

import org.apache.commons.lang3.StringUtils;


public enum RepositoryType {
    ID,
    NAME;

    public static RepositoryType parseType(String type) {
        if (StringUtils.isBlank(type) || StringUtils.isEmpty(type)) {
            return ID;
        }
        return RepositoryType.valueOf(type);
    }
}
