package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.ArrayList;

@Data
@Schema(title = "安装插件到项目请求报文")
public class InstallAtomReq {
    @Schema(title = "项目标识", required = true)
    private ArrayList<String> projectCode;
    @Schema(title = "插件标识", required = true)
    private String atomCode;
}