package cd.casic.ci.ticket.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.pipeline.dal.pojo
 * @Project：ops-pro
 * @name：CredentialSettingUpdate
 * @Date：2025/03/24 9:33
 * @Filename：CredentialSettingUpdate
 * @description：Todo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CredentialSettingUpdate {

    @Schema(description = "凭据是否允许跨项目访问", required = true)
    private boolean allowAcrossProject;

}
