package cd.casic.plugin.constants;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.constants
 * @Project：ops
 * @name：OpsConstants
 * @Date：2024/03/18 9:30
 * @Filename：OpsConstants
 * @description：Todo
 */
public class OpsConstants {
    /**
     * 插件目录
     */
    public static final String PLUGIN_PATH = "/plugins";
    /**
     * 插件路径
     */
    public static final String PLUGINS_DIR = "resources/plugins";
    /**
     * 插件静态资源目录
     */
    public static final String PLUGINS_RESOURCES_DIR = "resources/pluginResources";
    //public static final String PLUGINS_RESOURCES_DIR = "ops-module-plugins/ops-module-plugins-example-web/src/main/resources/static";

    /**
     * 角色：管理员
     */
    public static final String ROLE_ADMIN = "admin";
    /**
     * 角色：用户
     */
    public static final String ROLE_USER = "user";
    /**
     * 角色：编辑
     */
    public static final String ROLE_EDITOR = "editor";


    /**
     * todo 区分插件类型，目前只支持两种，一种为zip ，一种为jar包形式，主要使用zip形式，别面jar包被人轻易破解
     */
    public static class Suffix {

        private Suffix() {
            throw new IllegalStateException();
        }

        public static final String JAR = "jar";
        public static final String ZIP = "zip";
    }
}
