package cd.casic.plugin.event;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationEvent;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin.event
 * @Project：ops
 * @name：OpsMainAppStartedEvent
 * @Date：2024/03/22 10:31
 * @Filename：OpsMainAppStartedEvent
 * @description：主程序启动完毕，此事件发布到插件应用程序,此时，原神启动
 */
public class OpsMainAppStartedEvent extends ApplicationEvent {

    public OpsMainAppStartedEvent(ApplicationContext mainApplicationContext) {
        super(mainApplicationContext);
    }
}
