package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：DependOnType
 * @Date：2025/03/25 17:04
 * @Filename：DependOnType
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum DependOnType {
    ID,
    NAME;

    public static DependOnType parse(String type) {
        if (type == null) return ID;
        for (DependOnType t : values()) {
            if (t.name().equals(type)) return t;
        }
        return ID;
    }
}
