package cd.casic.ci.common.pipeline.enums;


/**
 * @Classname SubjectScopeType
 * @Description 最大授权范围类型，这里先这样，后面要扩展
 * @Date 2025/3/18 11:26
 * @author mianbin
 */
public enum SubjectScopeType {
    //院、所、中心
    ORGANIZATION("organization"),
    // 部门、事业部、产线
    DEPARTMENT("depart"),
    // 用户
    USER("user");

    private final String value;

    SubjectScopeType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
