package cd.casic.ci.common.pipeline.pojo.element.market;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.market
 * @Project：ops-pro
 * @name：MarketCheckImageElement
 * @Date：2025/03/26 17:34
 * @Filename：MarketCheckImageElement
 * @description：Todo
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Schema(title = "验证镜像合法性", description = MarketCheckImageElement.classType)
public class MarketCheckImageElement extends Element {
    public static final String classType = "marketCheckImage";

    @Schema(title = "任务名称", required = true)
    private String name = "验证镜像合法性";

    @Schema(title = "id", required = false)
    private String id;

    @Schema(title = "状态", required = false)
    private String status;

    @Schema(title = "用户名", required = false)
    private String registryUser;

    @Schema(title = "密码", required = false)
    private String registryPwd;

    @Override
    public String getClassType() {
        return classType;
    }
}
