package cd.casic.ci.common.pipeline.resp.target;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetManager
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@Data
public class TargetManagerResp{
    private String id;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 目标名称
     */
    private String targetName;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 版本
     */
    private String version;

    /**
     * 描述
     */
    private String targetDesc;

    /**
     * 文件唯一标识
     */
    private String identifier;

    /**
     * 文件大小（byte）
     */
    private Double totalSize;

    /**
     * 文件名字
     */
    private String fileName;

    /**
     * 文件密级
     */
    private String fileSecrets;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 密级
     */
    private String secretId;

    /**
     * 组织id
     */
    private String projectId;

    /**
     * 图标
     */
    private String fileIcon;
}
