package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "devCloud节点信息")
public class NodeDevCloudInfo {
    @Schema(title = "环境 HashId", required = true)
    private final String nodeHashId;

    @Schema(title = "节点 Id", required = true)
    private final String nodeId;

    @Schema(title = "节点名称", required = true)
    private final String name;

    @Schema(title = "IP", required = true)
    private final String ip;

    @Schema(title = "节点状态", required = true)
    private final String nodeStatus;

    @Schema(title = "agent状态", required = false)
    private final Boolean agentStatus;

    @Schema(title = "节点类型", required = true)
    private final String nodeType;

    @Schema(title = "操作系统", required = false)
    private final String osName;

    @Schema(title = "创建人", required = true)
    private final String createdUser;

    @Schema(title = "projectId", required = false)
    private final String projectId;

} 