package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(title = "共享的项目列表")
public class SharedProjectInfoWrap {
    @Parameter(description = "共享的项目列表", required = true)
    private final List<AddSharedProjectInfo> sharedProjects;

}