package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineAtomReplaceHistory
 * @Date：2025/03/24 15:43
 * @Filename：PipelineAtomReplaceHistory
 * @description：Todo
 */
@Data
@Schema(title = "流水线插件替换历史")
public class PipelineAtomReplaceHistory {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "业务ID", required = true)
    private String busId;
    @Schema(title = "业务类型", required = true)
    private String busType;
    @Schema(title = "源版本号", required = true)
    private int sourceVersion;
    @Schema(title = "目标版本号", required = false)
    private Integer targetVersion;
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "插件替换基本信息ID", required = true)
    private String baseId;
    @Schema(title = "插件替换项信息ID", required = true)
    private String itemId;
    @Schema(title = "用户ID", required = true)
    private String userId;
    @Schema(title = "日志", required = false)
    private String log;
}
