package cd.casic.ci.process.api.process.pojo.code;

import cd.casic.ci.common.pipeline.pojo.element.trigger.enums.CodeEventType;
import cd.casic.ci.common.pipeline.pojo.element.trigger.enums.CodeType;
import cd.casic.ci.log.scm.enums.RepositoryConfig;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.code
 * @Project：ops-pro
 * @name：WebhookCommit
 * @Date：2025/03/24 20:16
 * @Filename：WebhookCommit
 * @description：Todo
 */
@Data
public class WebhookCommit {
    private String userId;
    private String pipelineId;
    private Integer version;
    private Map<String, Object> params;
    private RepositoryConfig repositoryConfig;
    private String repoName;
    private String commitId;
    private boolean block;
    private CodeEventType eventType;
    private CodeType codeType;
}
