package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PipelineCount
 * @Description TODO
 * @Date 2025/3/31 17:39
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线数量相关")
public class PipelineCount {
    @Schema(title = "全部流水线个数", required = true)
    private int totalCount;
    @Schema(title = "我的收藏个数", required = true)
    private int myFavoriteCount;
    @Schema(title = "我的流水线的个数", required = true)
    private int myPipelineCount;
    @Schema(title = "回收站流水线的个数", required = true)
    private int recycleCount;
    @Schema(title = "最近使用的流水线的个数", required = true)
    private final int recentUseCount;
}
