package cd.casic.ci.project.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema
public class ProjectCreateUserInfo {

    @Schema(title = "操作人")
    private Long createUserId;

    @Schema(title = "待分配的角色名称")
    private String roleName;

    @Schema(title = "角色Id")
    private Integer roleId;

    @Schema(title = "组ID")
    private Integer groupId;

    @Schema(title = "目标用户")
    private List<String> userIds = new ArrayList<>();

    @Schema(title = "目标部门")
    private List<String> deptIds = new ArrayList<>();

    @Schema(title = "资源类型")
    private String resourceType;

    @Schema(title = "资源ID")
    private String resourceCode;
}
