package cd.casic.pipeline.store.pojo.app;

import cd.casic.ci.common.pipeline.pojo.BuildEnvParameters;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "容器环境变量列表及版本列表")
public class ContainerAppWithVersion {
    @Schema(title = "name", required = true)
    private String name;
    @Schema(title = "env", required = true)
    private BuildEnvParameters env;
    @Schema(title = "versions", required = true)
    private List<String> versions;
}