package cd.casic.pipeline.store.pojo.common.reason;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "原因信息")
public class Reason {
    @Schema(title = "原因ID", required = true)
    private String id;
    
    @Schema(title = "原因类型", required = true)
    private String type;
    
    @Schema(title = "原因内容", required = true)
    private String content;
    
    @Schema(title = "创建人")
    private String creator;
    
    @Schema(title = "修改人")
    private String modifier;
    
    @Schema(title = "创建时间")
    private String createTime;
    
    @Schema(title = "修改时间")
    private String updateTime;
    
    @Schema(title = "是否启用")
    private boolean enable;
    
    @Schema(title = "显示顺序")
    private int order;
}