package cd.casic.pipeline.store.pojo.common.statistic;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "使用store组件流水线数量更新实体对象")
public class StoreStatisticPipelineNumUpdate {
    @Schema(title = "插件标识")
    private String storeCode;
    
    @Schema(title = "数量增长标识")
    private Boolean incrementFlag;
    
    @Schema(title = "更新数量")
    private Integer num;
}